Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class MultipleSelectionManager

    java.lang.Object
      ru.biosoft.graphics.editor.ViewPaneAdapter
          ru.biosoft.graphics.editor.SelectionManager
              ru.biosoft.graphics.editor.MultipleSelectionManager

All Implemented Interfaces:
  ViewPaneListener

Direct Known Subclasses:
  ResizableSelectionManager

public class MultipleSelectionManager
extends SelectionManager

Field Summary

Fields inherited from class ru.biosoft.graphics.editor.SelectionManager
`selectedModels, selectedViews, selector, viewPane`

Constructor Summary
`MultipleSelectionManager(ViewPane viewPane)`

Method Summary
`void` | `mouseClicked(ViewPaneEvent e)` Invoked when the mouse has been clicked on a view pane.
`void` | `mousePressed(ViewPaneEvent e)` Invoked when a mouse button has been pressed on a view pane.

Methods inherited from class ru.biosoft.graphics.editor.SelectionManager
`clearSelection, contains, getSelectedModels, getSelectedView, getSelectedViewCount, getViewSelector, paintSelection, selectModel, selectModels, selectView, setViewSelector`

Methods inherited from class ru.biosoft.graphics.editor.ViewPaneAdapter
`mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleSelectionManager

    public MultipleSelectionManager(ViewPane viewPane)

Method Detail

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been pressed on a view pane.

  Specified by:
    `mousePressed` in interface `ViewPaneListener`
  Overrides:
    `mousePressed` in class `SelectionManager`
  Pendung:
    multiple selection support

### mouseClicked

    public void mouseClicked(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse has been clicked on a view pane.

  Specified by:
    `mouseClicked` in interface `ViewPaneListener`
  Overrides:
    `mouseClicked` in class `ViewPaneAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.